Name:           koan3
Version:        3.0.1
Release:        2%{?dist}
Summary:        Kickstart over a network

License:        GPLv2+
URL:            https://github.com/cobbler/koan
Source0:        https://github.com/cobbler/koan/archive/v%{version}/koan-%{version}.tar.gz

# Downstream only patch to rename scripts to avoid path conflicts with RHEL
Patch1:         0001-Rename-scripts-to-avoid-path-conflicts-in-RHEL.patch

BuildArch:      noarch

BuildRequires:  /usr/bin/pathfix.py
Requires:       python3-koan3 = %{version}-%{release}

%description
Koan stands for kickstart-over-a-network and allows for both network
installation of new virtualized guests and reinstallation of an existing
system. For use with a boot-server configured with Cobbler.


%package -n python3-koan3
Summary:        koan python3 module
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-distro
BuildRequires:  python3-libvirt
BuildRequires:  python3-netifaces
Requires:       python3-distro
Requires:       python3-libvirt
Requires:       python3-netifaces
Requires:       virt-install

%description -n python3-koan3
koan python3 module.


%prep
%autosetup -p 1 -n koan-%{version}
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" bin

%build
%py3_build_egg

%install
%py3_install_egg

%files
%license COPYING
%doc README.md
%{_bindir}/koan3
%{_bindir}/koan3-cobbler-register

%files -n python3-koan3
%license COPYING
%{python3_sitelib}/koan-3.0.1-py3.6.egg/

%changelog
* Thu Oct 06 2022 Carl George <carl@george.computer> - 3.0.1-2
- Rename spec file to koan3 to avoid conflicts with RHEL

* Fri Sep 24 2021 Orion Poplawski <orion@nwra.com> - 3.0.1-1
- Update to 3.0.1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-0.15.20200917git4194967
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 2.9.0-0.14.20200917git4194967
- Rebuilt for Python 3.10

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-0.13.20200917git4194967
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Sep 19 2020 Orion Poplawski <orion@nwra.com> - 2.9.0-0.12.202009017git4194967
- Update to latest git

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-0.11.20200412gitc67b526
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 2.9.0-0.10.20200412gitc67b526
- Rebuilt for Python 3.9

* Wed Apr 15 2020 Orion Poplawski <orion@nwra.com> - 2.9.0-0.9.202004012gitc67b526
- Update to latest git

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.0-0.8.20191125gitcff96a0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Dec 10 2019 Orion Poplawski <orion@nwra.com> - 2.9.0-0.7.20191125gitcff96a0
- Add requirement on netifaces

* Mon Nov 25 2019 Orion Poplawski <orion@nwra.com> - 2.9.0-0.6.20191125gitcff96a0
- Update to latest git

* Fri Nov 15 2019 Orion Poplawski <orion@nwra.com> - 2.9.0-0.5.20191115git18df5d4
- Update to latest git
- Use automatic python dependencies
- Use proper snapshot release tag

* Thu Nov  7 2019 Orion Poplawski <orion@nwra.com> - 2.9.0-0.4.git
- Update to latest git

* Fri Oct 18 2019 Orion Poplawski <orion@nwra.com> - 2.9.0-0.3.git
- Add patch to support cobbler 2 servers
- Add patch to fix quoting with grubby on EL8

* Fri Oct 11 2019 Orion Poplawski <orion@nwra.com> - 2.9.0-0.2.git
- Split out again from cobbler
